﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WindowsFormsApplication4
{
    public class MainObject //: INotifyPropertyChanged
    {
        private string _emailAddress;
        private string _phone;

        private List<NoteObject> _notes;

        public string EmailAddress
        {
            get { return _emailAddress; }
            set { _emailAddress = value; }
        }

        public string Phone
        {
            get { return _phone; }
            set { _phone = value; }
        }


        public List<NoteObject> Notes
        {
            get
            {
                if (_notes == null)
                    _notes = new List<NoteObject>();
                return _notes;
            }
        }

        //#region INotifyPropertyChanged Members

        //public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;

        //#endregion
    }


    public class NoteObject
    {
        private string _description;
        private string _previewInformation;

        public string Description
        {
            get { return _description; }
        }

        public string PreviewInformation
        {
            get { return _previewInformation; }
        }

        public NoteObject(string description, string previewInformation)
        {
            _description = description;
            _previewInformation = previewInformation;
        }
    }

}
