﻿using System;
using System.IO;
using System.Net;
using System.Collections.Generic;
using System.ComponentModel;
using System.Configuration;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Threading;
using System.Net.Mail;

using Infragistics.Win.UltraWinGrid;
using Infragistics.Win.Misc;
using Infragistics.Win.UltraWinToolbars;
using Infragistics.Win;


namespace WindowsFormsApplication4
{
    public partial class SubmissionFormTEST : Form
    {
        #region Class Level Variables

        private MainObject _mainObject;

        #endregion

        #region Constructors

        public SubmissionFormTEST()
        {
            InitializeComponent();

        }

        #endregion

        #region Binding

        private void BindForm()
        {
            ultraTextEditor1.DataBindings.Clear();
            ultraTextEditor1.DataBindings.Add("Text", _mainObject, "EmailAddress");
            ultraTextEditor2.DataBindings.Clear();
            ultraTextEditor2.DataBindings.Add("Text", _mainObject, "Phone");

            ultraGrid1.DataSource = null;
            ultraGrid1.DataSource = _mainObject.Notes; 

        }
        #endregion

        #region Summary Notes Grid

        private void grdNoteSummary_InitializeLayout(object sender, InitializeLayoutEventArgs e)
        {
            e.Layout.Override.CellClickAction = CellClickAction.RowSelect;
            e.Layout.Override.AllowUpdate = Infragistics.Win.DefaultableBoolean.False;
            e.Layout.Override.SelectTypeRow = SelectType.Single;
            e.Layout.Override.SelectTypeCell = SelectType.None;
            e.Layout.Override.HeaderAppearance.TextHAlign = Infragistics.Win.HAlign.Left;
            e.Layout.Override.CellMultiLine = DefaultableBoolean.True;
            e.Layout.Bands[0].Columns["PreviewInformation"].Hidden = true;


            e.Layout.Bands[0].AutoPreviewField = "PreviewInformation";
            e.Layout.Bands[0].AutoPreviewEnabled = true;
            e.Layout.Bands[0].AutoPreviewIndentation = 10;
            e.Layout.Bands[0].AutoPreviewMaxLines = 20;
        }

        #endregion

        private void button1_Click(object sender, EventArgs e)
        {
            _mainObject = new MainObject();
            _mainObject.EmailAddress = "test@myemailaddress.com";
            _mainObject.Phone = "0123456789";

            _mainObject.Notes.Add(new NoteObject("A", "Details retrieved via screen scraping mechanism"));
            _mainObject.Notes.Add(new NoteObject("B", "Submission is linked"));
            _mainObject.Notes.Add(new NoteObject("C", "There was an error attempting to link this submission\r\nThe Submission name Robin Test does not match that held by the IRD (MR YI Test)."));

            BindForm();
        }
    }
}
